ApiKeys
Get an API key
Returns the API key with the given ID, including its metadata and permissions. Use this endpoint to get an API key through the Samva email API.
Returns the API key with the given ID, including its metadata and permissions.
Authorization
apiKey x-api-key<token>
In: header
Path Parameters
id*string
Match
^key_[0-9a-hjkmnp-tv-z]{16,24}$Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/api-keys/string"{ "id": "string", "name": "string", "key": "string", "start": "string", "description": "string", "createdAt": "string", "expiresAt": "string", "lastUsedAt": "string", "isActive": true, "permissions": { "property1": [ "string" ], "property2": [ "string" ] }, "roleName": "string"}Create an API key
Creates a new API key for the organization and returns the created key, including the plaintext secret, with a 201 response.
List API key activity
Returns a paginated list of recent request activity recorded for an API key. Use this endpoint to list API key activity through the Samva email API.